> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/bp-resources/bp-clothingv4/export-and-events.md).

# Export and Events

## **EXPORTS**

#### SERVER EXPORTS = > ONLY FOR OWNSYSTEM STYLE

#### CHAR CREATE - PART

With these exports, you can pull all clothing and skin data in the ownsystem skin setting and insert them in the same way.

```lua
exports['bp_charcreate']:getallskin(source)
```

```lua
exports['bp_charcreate']:setallskin(source , skindata)
```

#### CLOTHING STORE - PART

Ownsystem only pulls or inserts clothing data in the skin setting.

```lua
exports['bp_newcstore']:getclothing(source)
```

```lua
exports['bp_newcstore']:setclothing(source, skindata)
```

#### BARBER STORE - PART

Ownsystem only pulls or inserts skins(hair) data in the skin setting.

```lua
exports['bp_newbstore']:getbarber(source)
```

```lua
exports['bp_newbstore']:setbarber(source, skindata)
```

With this export, the player's wardrobe can be withdrawn.

```lua
exports['bp_newcstore']:getwardrobe(source)
```

#### TATTOO STORE - PART

You can get tattoo information.

```lua
exports['bp_newtstore']:gettattoo(source)
```

```lua
exports['bp_newtstore']:settattoo(source, tattoodata)
```

## EVENTS

#### CLIENT EVENTS

With this event you can start the character creation screen.

```lua
TriggerEvent('bp_charcreate:create')
```

This event inserts the pad.

```lua
TriggerEvent('bp_charcreate:setcharacterclothe' , skindata)
```

### Wardrobe

Open wardrobe event

```lua
TriggerServerEvent('bp_newcstore:openwardrobe')
```

### TATTOO

With this event you can load the player's ped.

```lua
TriggerServerEvent('bp_newtstore:getinformations')
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/bp-resources/bp-clothingv4/export-and-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
